Wait for package manager process to finish 50/650/1
authorFatih Degirmenci <fdegir@gmail.com>
Mon, 18 Mar 2019 12:54:20 +0000 (13:54 +0100)
committerFatih Degirmenci <fdegir@gmail.com>
Mon, 18 Mar 2019 12:54:20 +0000 (13:54 +0100)
Change-Id: Ibfceb987bb5f2d4281813c836d4ac5e0af466c32

jjb/cloud-infra/cloud-infra-verify-jobs.yaml
jjb/cloud-infra/wait-for-pkg-manager.sh [new file with mode: 0644]

index 41dc3c40688184492b8e7266b60b649ef8471c85..bbb5baec53da86f7ccdf387e8facf41288dc22bd 100644 (file)
 - builder:
     name: 'cloud-infra-verify-deploy-macro'
     builders:
-      - shell: |
-          #!/bin/bash
-
-          # it takes some time before the OpenStack slave becomes fully operational
-          # so we give it some more time before doing anything
-          sleep 30
+      - shell:
+          !include-raw: ./wait-for-pkg-manager.sh
       - shell:
           !include-raw: ./cloud-infra-deploy.sh
 
diff --git a/jjb/cloud-infra/wait-for-pkg-manager.sh b/jjb/cloud-infra/wait-for-pkg-manager.sh
new file mode 100644 (file)
index 0000000..53eaa09
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source /etc/os-release || source /usr/lib/os-release
+case ${ID,,} in
+  centos)
+    pkg_mgr_cmd="yum"
+    ;;
+  ubuntu)
+    pkg_mgr_cmd="apt"
+    ;;
+esac
+
+# just wait few seconds before attempting to check pkg manager process
+sleep 10
+
+echo "Checking for running package manager instance..."
+while true; do
+  pkg_mgr_process=$(pgrep -f $pkg_mgr_cmd | cat)
+  if [[ -n $pkg_mgr_process ]]; then
+    echo "Waiting for $pkg_mgr_cmd process $pkg_mgr_process to finish..."
+    sleep 10
+  else
+    echo "$pkg_mgr_cmd process done. Continuing..."
+    break
+  fi
+done
+
+# vim: set ts=2 sw=2 expandtab: